Bug 66121 - New port: graphics/icoconvert - A small utility to >convert Windows .ico icon files into .xpm and .png files
Summary: New port: graphics/icoconvert - A small utility to >convert Windows .ico icon...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-30 20:40 UTC by Florent Thoumie
Modified: 2004-05-02 11:34 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florent Thoumie 2004-04-30 20:40:13 UTC
A small utility to convert Windows .ico icon files into .xpm and .png files.
This can be done in batches, and properly supports transparencies as well as
non 32x32 icon sizes. It also supports 24 bit icons.

WWW: http://http://www.mox.net/

Fix: --- icoconvert-2.0.shar begins here. ---



--- icoconvert-2.0.shar ends here. -----BldgDA8Ky9ZxeKVa8YrwJJbjGuZiZe6FNwh2hXIyoqcVQ4zw
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	icoconvert
#	icoconvert/pkg-descr
#	icoconvert/distinfo
#	icoconvert/Makefile
#
echo c - icoconvert
mkdir -p icoconvert > /dev/null 2>&1
echo x - icoconvert/pkg-descr
sed 's/^X//' >icoconvert/pkg-descr << 'END-of-icoconvert/pkg-descr'
XA small utility to convert Windows .ico icon files into .xpm and .png files.
XThis can be done in batches, and properly supports transparencies as well as
Xnon 32x32 icon sizes. It also supports 24 bit icons.
X
XWWW: http://http://www.mox.net/
X
X- Florent Thoumie
Xflz@xbsd.org
END-of-icoconvert/pkg-descr
echo x - icoconvert/distinfo
sed 's/^X//' >icoconvert/distinfo << 'END-of-icoconvert/distinfo'
XMD5 (icoconvert-2.0.tar.gz) = 56fe4474c8eaae2c8b886331cda41aca
XSIZE (icoconvert-2.0.tar.gz) = 349954
END-of-icoconvert/distinfo
echo x - icoconvert/Makefile
sed 's/^X//' >icoconvert/Makefile << 'END-of-icoconvert/Makefile'
X# New ports collection makefile for:	icoconvert
X# Date created:				Apr 30 2004
X# Whom:					Florent Thoumie <flz@xbsd.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	icoconvert
XPORTVERSION=	2.0
XCATEGORIES=	graphics
XMASTER_SITES=	http://www.mox.net/downloads/
X
XMAINTAINER=	flz@xbsd.org
XCOMMENT=	A small utility to convert Windows .ico icon files into .xpm and .png files
X
XLIB_DEPENDS=	gd.4:${PORTSDIR}/graphics/gd
X
XUSE_REINPLACE=	yes
X
XPLIST_FILES=	bin/icoconvert
X
Xpost-patch:
X	${REINPLACE_CMD} -e 's|^icoconvert|all|' ${WRKSRC}/Makefile
X	${REINPLACE_CMD} -e 's|^\(FLAGS=\)|\1-I${PREFIX}/include |' ${WRKSRC}/Makefile
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/icoconvert ${PREFIX}/bin
X
X.include <bsd.port.mk>
END-of-icoconvert/Makefile
exit
How-To-Repeat: 
N/A
Comment 1 Pav Lucistnik freebsd_committer 2004-05-02 11:34:44 UTC
State Changed
From-To: open->closed

New port added, thanks!